# Class: TransformationFunctionsRegistry

## TransformationFunctionsRegistry()

Registry of transformation functions that may be applied to template values to control how values are rendered. Provides syntactic sugar atop a standard registry.

## Constructor

#### new TransformationFunctionsRegistry()

Source:
  - registry/transforms.js, line 11

### Extends

- module:registry/base:RegistryBase

### Methods

#### get(name)

In templates, we often use a single concatenated string to ask for several transformation functions at once: `value|func1|func2` This class offers syntactical sugar to retrieve the entire sequence of transformations as a single callable

##### Parameters:

Name | Type | Description
--- | --- | ---
`name` |  |

Source:
  - registry/transforms.js, line 37